> ## Documentation Index
> Fetch the complete documentation index at: https://whitelabelled-staking-docs.adamik.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Token Details

> Retrieves detailed information about a specific token for a blockchain network, identified by chain ID and token ID.



## OpenAPI

````yaml openapi.json get /api/{chainId}/token/{tokenId}
openapi: 3.1.0
info:
  title: Adamik
  version: 0.1.0
  description: Adamik API reference
servers:
  - url: https://api.adamik.io
security:
  - ApiKeyAuth: []
paths:
  /api/{chainId}/token/{tokenId}:
    get:
      tags:
        - Chain
      summary: Get Token Details
      description: >-
        Retrieves detailed information about a specific token for a blockchain
        network, identified by chain ID and token ID.
      parameters:
        - in: path
          name: chainId
          schema:
            type: string
            enum:
              - algorand
              - cosmoshub
              - cosmoshub-testnet
              - osmosis
              - osmosis-testnet
              - celestia
              - celestia-testnet
              - dydx
              - axelar
              - ethereum
              - sepolia
              - holesky
              - zksync
              - zksync-sepolia
              - injective-evm-testnet
              - base
              - base-sepolia
              - optimism
              - optimism-sepolia
              - arbitrum
              - arbitrum-sepolia
              - polygon
              - polygon-amoy
              - bsc
              - bsc-testnet
              - linea
              - linea-sepolia
              - avalanche
              - avalanche-fuji
              - gnosis
              - gnosis-chiado
              - moonbeam
              - moonriver
              - moonbase
              - fantom
              - ton
              - chiliz
              - chiliz-testnet
              - injective
              - akash
              - band
              - dymension
              - kyve
              - neutron
              - terra2
              - stargaze
              - tron
              - evmos
              - irisnet
              - juno
              - lum-network
              - omniflix
              - sei
              - medibloc
              - passage
              - quasar
              - seda
              - sommelier
              - shentu
              - stride
              - chihuahua
              - bitsong
              - persistence
              - comdex
              - fetch-ai
              - humans-ai
              - ki
              - likecoin
              - mars-hub
              - provenance
              - quicksilver
              - saga
              - ux-chain
              - kava
              - starknet
              - babylon
              - babylon-testnet
              - monad-testnet
              - berachain
              - berachain-artio
              - cronos
              - world-chain
          required: true
        - in: path
          name: tokenId
          description: >-
            Token ID. Format depends on the chain, e.g. contract address for EVM
            chains.
          schema:
            type: string
            description: >-
              Token ID. Format depends on the chain, e.g. contract address for
              EVM chains.
            examples:
              - '0xdAC17F958D2ee523a2206206994597C13D831ec7'
          required: true
      responses:
        '200':
          description: Returns detailed data about the token on the specified blockchain.
          content:
            application/json:
              schema:
                type: object
                properties:
                  token:
                    type: object
                    properties:
                      type:
                        type: string
                        enum:
                          - TRC10
                          - TRC20
                          - ASA
                          - ERC20
                          - IBC
                          - JETTON
                      id:
                        type: string
                      name:
                        type: string
                      ticker:
                        type: string
                      decimals:
                        type: string
                      contractAddress:
                        type: string
                    required:
                      - type
                      - id
                      - name
                      - ticker
                      - decimals
                required:
                  - token
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: Authorization

````